Author Topic: MapBaker und SP7  (Read 1506 times)

Offline astricia

  • Posts: 689
  • Gender: Female
    • netSchmiede24
MapBaker und SP7
« on: September 15, 2016, 08:59:34 AM »
Hallo zusammen,
ich versuche gerade bei einem neuen Projekt mit SP7 das Modul MapBaker zum Laufen zu kriegen. Leider funktioniert das nicht. Im Backend findet er gar keine Adressen und im Frontend bekomme ich folgende Fehlermeldung:
Hoppla! Ein Fehler ist aufgetreten.
Google Maps wurde auf dieser Seite nicht richtig geladen. Technische Details dazu entnimmst du der JavaScript-Konsole.

In der JavaScript-Konsole steht folgendes:
"Control is no longer supported in the Google Maps Javascript API v2. Please visit https://developers.google.com/maps/documentation/javascript/v2/v2tov3 to migrate your application to v3."maps:153:35
"Map.addControl is no longer supported in the Google Maps Javascript API v2. Please visit https://developers.google.com/maps/documentation/javascript/v2/v2tov3 to migrate your application to v3."maps:153:35
"Google Maps API warning: NoApiKeys https://developers.google.com/maps/documentation/javascript/error-messages#no-api-keys"

Da bin ich jetzt echt überfragt...

Bei meinem Upgrade-Marathon in der letzten Woche hatte ich auch eine Website dabei, wo Mapbaker lief. Und das lief auch nach dem Upgrade noch einwandfrei. (Und ein Api-Key ist da auch nicht installiert....) Im übrigen schaue ich mir gerade die Konsole der Website an, wo es funktioniert. Da stehen die gleichen Fehlermeldungen. Aber es läuft trotzdem problemlos.

Was kann ich tun, damit es auch auf der neuen Seite läuft???

Danke und lg,
Astrid

Offline astricia

  • Posts: 689
  • Gender: Female
    • netSchmiede24
Re: MapBaker und SP7
« Reply #1 on: September 15, 2016, 10:32:56 AM »
OK, hab's selber hinbekommen... Mit dem Tipp hier: http://forum.WebsiteBaker.org/index.php/topic,26778.msg205959.html#msg205959 nen API-Key installiert.

Allerdings kommt im Backend immer noch der "Hoppla"-Fehler und ich kann keine Adresse eintippen. Ich behelfe mir damit, dass ich in der anderen funktionierenden Seite, testweise die Adresse eingebe und mir dann die Latitude und Longitude kopiere und händisch eingebe. Damit klappts... Falls noch jemand sagen kann, wie es auch im Backend richtig funktoniert, wäre ich sehr dankbar. :-D

Offline hgs

  • Betatester
  • **
  • Posts: 1116
    • EFG MG
Re: MapBaker und SP7
« Reply #2 on: September 15, 2016, 01:27:45 PM »
Welche Version hat du installiert?
Läuft die Seite mit SSL (https://)?

Das könnte vielleicht auch helfen
http://forum.WebsiteBaker.org/index.php/topic,26778.msg205666.html#msg205666

Hier gibt es die aktuellste Version, die mit SP7 + php7 ohne API Karten im BE und FE anzeigt.
http://addon.WebsiteBaker.org/pages/en/browse-add-ons.php?id=0AD4A2A1
« Last Edit: September 15, 2016, 01:47:44 PM by hgs »
LG Harald

"Fange nie an, aufzuhören - höre nie auf, anzufangen." Marcus Tullius Cicero (106-43 v.Chr.)

Offline astricia

  • Posts: 689
  • Gender: Female
    • netSchmiede24
Re: MapBaker und SP7
« Reply #3 on: September 16, 2016, 08:06:10 AM »
Installiert habe ich die Version 1.70. Habe gerade versucht, die 1.80 zu installieren (mit "Überschreibe neuere Dateien"), bekomme da aber die Meldung "Bereits installiert". Muss ich das jetzt erst de-installieren? Das hieße alle vorhandenen MapBaker-Abschnitte vorher löschen und nachher wieder neu erstellen... ?

Offline hgs

  • Betatester
  • **
  • Posts: 1116
    • EFG MG
Re: MapBaker und SP7
« Reply #4 on: September 16, 2016, 08:51:29 AM »
Soviel ich im Kopf habe, wird da die info.php verglichen.

Was steht den bei deiner Version in der info.php

In der aktuellen steht da:
Code: [Select]
$module_directory = 'mapbaker';
$module_name = 'Map Baker v1.8.0-dev';
$module_function = 'page';
$module_version = '1.8.0-dev';
$module_platform = '> 2.8.3';
LG Harald

"Fange nie an, aufzuhören - höre nie auf, anzufangen." Marcus Tullius Cicero (106-43 v.Chr.)

Offline astricia

  • Posts: 689
  • Gender: Female
    • netSchmiede24
Re: MapBaker und SP7
« Reply #5 on: September 16, 2016, 09:20:33 AM »
Da steht folgendes:

Code: [Select]
$module_directory = 'mapbaker';
$module_name = 'Map Baker';
$module_function = 'page';
$module_version = '1.70';
$module_platform = '> 2.8.3';
$module_author = 'David Felix  (dfelix@live.com.pt). Improved by Westhouse IT developers, Jacobi22';
$module_license = 'GNU General Public License';

Offline jacobi22

  • Posts: 5872
  • Gender: Male
  • Support also via PM or EMail
    • Jacobi22
Re: MapBaker und SP7
« Reply #6 on: September 16, 2016, 12:01:51 PM »
Installiert habe ich die Version 1.70. Habe gerade versucht, die 1.80 zu installieren (mit "Überschreibe neuere Dateien"), bekomme da aber die Meldung "Bereits installiert". Muss ich das jetzt erst de-installieren? Das hieße alle vorhandenen MapBaker-Abschnitte vorher löschen und nachher wieder neu erstellen... ?
eine 8 ist wohl kleiner als eine 70, zumindest nach dem, was in unseren Schulen gelehrt wurde, auch wenn ich der böse Ossi bin  :evil:

Auf keinen Fall deinstallieren, dann kommt genau das, was du oben geschrieben hast.

Lösche die Dateien im Ordner modules / mapbaker und lade die Version wieder hoch, die du haben möchtest, z.b. eben die 1.8.0
Danach die Module neu scannen (Erweiterungen -> Erweitert -> Module aktivieren und neu laden.
Ob es was bringt, bezweifle ich, die 1.8.0 bereinigt meines Wissens nur das https-Problem

Vielleicht mal die Forumssuche benutzen, hab vor nicht all zu langer Zeit eine Abhandlung geschrieben, wann und wo das auftritt, nämlich bei der Übergabe der einzelnen Points an das Script, genauer, da, wo ein Point verschoben wird zu seiner Position. Da die Scripte bei google liegen, gibt es auch keine Chance, da ran zu kommen.
Wer nicht will, findet Gründe, wer will, findet Wege.

Offline hgs

  • Betatester
  • **
  • Posts: 1116
    • EFG MG
Re: MapBaker und SP7
« Reply #7 on: September 16, 2016, 03:44:22 PM »
Sorry für die Verwirrung , war mein Anfängerfehler. :oops:

Danke jacobi22 für die wichtige Info,
und, ja ist nur die Bereinigung des SSL-Problems und war auch mal eine Version 1.71

Kann meinen Fehler im addon leider erst am Montag korregieren.
Hoffe die Info von jacobi22 hilft dir weiter


LG Harald

"Fange nie an, aufzuhören - höre nie auf, anzufangen." Marcus Tullius Cicero (106-43 v.Chr.)